Data Source APIs Data Source Wizard Resource
GET pentaho/plugin/data-access/api/datasource/dsw/domainAuthorizations
AuthorizationstringRequired
HTTP Basic Authentication
Responses
200
Successfully retrieved the list of DSW IDs
objectOptional
List of DSW IDs in XML format
get/data-access/api/datasource/dsw/domain
GET /data-access/api/datasource/dsw/domain HTTP/1.1
Authorization: Basic username:password
Accept: */*
200
Successfully retrieved the list of DSW IDs
<jaxbList>
<type>java.lang.String</type>
<item>jmeter-dsw-pentaho-test.xmi</item>
<item>sample-dsw-data.xmi</item>
</jaxbList>
GET pentaho/plugin/data-access/api/datasource/dsw/domain/jmeter-dsw-pentaho-test.xmiAuthorizations
AuthorizationstringRequired
HTTP Basic Authentication
Path parameters
dswIdstringRequired
The id of the DSW datasource to export
Responses
200
DSW datasource export succeeded
application/octet-stream
string · binaryOptional
An encrypted .XMI file or a .zip with encoded .XMI files
401
User is not authorized to export DSW datasource
text/plain
500
Failure to export DSW datasource
text/plain
get/data-access/api/datasource/dsw/domain/{dswId}
GET /data-access/api/datasource/dsw/domain/{dswId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
binaryDELETE pentaho/plugin/data-access/api/datasource/dsw/domain/jmeter-dsw-pentaho-test.xmiAuthorizations
AuthorizationstringRequired
HTTP Basic Authentication
Path parameters
dswIdstringRequired
The id of the DSW datasource to remove
Responses
200
Successfully removed the DSW data source
text/plain
stringOptional
Success message
401
User is not authorized to delete the DSW datasource
text/plain
500
Failure to remove DSW data source
text/plain
delete/data-access/api/datasource/dsw/domain/{dswId}
DELETE /data-access/api/datasource/dsw/domain/{dswId} HTTP/1.1
Authorization: Basic username:password
Accept: */*
textLast updated
Was this helpful?

